import { HttpIntercept } from 'vue-vulcan';
import { useAuthStore } from '../store/auth/useAuthStore';

export function useAuthIntercept(): HttpIntercept {
  const { token } = useAuthStore()

  const requestIntercept = (req: RequestInit) => {
    return new Promise((resolve, reject) => {
      if(token) {
        req.body.token = token;
      }
      return req
    })
  }

  const responseIntercept = () => {}
  
  return {
    requestIntercept,
    responseIntercept
  }
}